#
# spec file for opusfile 
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2013 Bjørn Lie (zaitor@opensuse.org).
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           opusfile
Version:        0.6
Release:        6.5
%define soname      0
License:        BSD-3-Clause
Summary:        A high-level API for decoding and seeking within .opus files
Url:            http://www.opus-codec.org/
Group:          System/Libraries
Source:         http://downloads.xiph.org/releases/opus/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(ogg) >= 1.3
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(opus)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
opusfile provides a high-level API for decoding and seeking within .opus files.
It includes:
* Support for all files with at least one Opus stream
  (including multichannel files or Ogg files where Opus is muxed with something else).
* Full support, including seeking, for chained files.
* A simple stereo downmixing API
  (allowing chained files to be decoded with a single output format, even if the channel count changes).
* Support for reading from a file, memory buffer, or over HTTP(S) (including seeking).
* Support for both random access and streaming data sources.

%package -n libopusfile%{soname}
Summary:        A high-level API for decoding and seeking within .opus files
Group:          System/Libraries

%description -n libopusfile%{soname}
opusfile provides a high-level API for decoding and seeking within .opus files. 
It includes:
* Support for all files with at least one Opus stream 
  (including multichannel files or Ogg files where Opus is muxed with something else).
* Full support, including seeking, for chained files.
* A simple stereo downmixing API
  (allowing chained files to be decoded with a single output format, even if the channel count changes).
* Support for reading from a file, memory buffer, or over HTTP(S) (including seeking).
* Support for both random access and streaming data sources.

%package devel
Summary:        Development package for %{name}
Group:          Development/Libraries/Other
Requires:       libopusfile%{soname} = %{version}
Requires:       pkgconfig

%description devel
Files for development with %{name}.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%post -n libopusfile%{soname} -p /sbin/ldconfig

%postun -n libopusfile%{soname} -p /sbin/ldconfig

%files -n libopusfile%{soname}
%defattr(-,root,root)
%doc COPYING AUTHORS
%{_libdir}/libopusfile.so.%{soname}
%{_libdir}/libopusfile.so.%{soname}.*
%{_libdir}/libopusurl.so.%{soname}
%{_libdir}/libopusurl.so.%{soname}.*

%files devel
%defattr(-, root, root)
%doc %{_datadir}/doc/opusfile/
%{_includedir}/opus/opusfile.h
%{_libdir}/pkgconfig/opusfile.pc
%{_libdir}/pkgconfig/opusurl.pc
%{_libdir}/libopusfile.so
%{_libdir}/libopusurl.so

%changelog
* Thu Dec 18 2014 zaitor@opensuse.org
- Update to version 0.6:
  + Fix bugs with comment handling.
  + Fix build for BSD.
  + Fix bugs handling invalid and non-opus streams.
* Thu Feb 13 2014 reddwarf@opensuse.org
- Update to 0.5
  * Report HTTP (ICY) headers to client
  * New tag comparison and copy functions
  * New application decoding callback API for advanced clients
  * New dither disable function for advanced clients
  * constify API
  * Avoid clipping downmixing from a fixed-point decoder
  * Better practices for dual stack IPv6
  * Documentation improvements
  * Fix a unicode bug on Windows
  * Fix proxy user/password macros
  * Fix HTTP pipelining support detection
* Sat Sep 14 2013 zaitor@opensuse.org
- Initial packaging for openSUSE.
